%define module xpad
%define oname %{module}-xbox360
%define name dkms-%{oname}
%define version 0.1
%define cvsdate 20070320
%define rel 2
%define release %mkrel 0.%{cvsdate}.%{rel}

Summary: Xpad driver for Xbox 360 controllers
Name: %{name}
Version: %{version}
Release: %{release}
# DATE=`date +%Y%m%d`
# cvs -z3 -d:pserver:anonymous@xbox-linux.cvs.sourceforge.net:/cvsroot/xbox-linux export -D $DATE -d xpad-xbox360-$DATE kernel-2.6
# tar cvjf xpad-xbox360-$DATE.tar.bz2 xpad-xbox360-$DATE
Source0: %{oname}-%{cvsdate}.tar.bz2
License: GPL
Group: System/Kernel and hardware
Url: http://xbox-linux.sf.net/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch
Requires(post): dkms
Requires(preun): dkms

%description
This package contains a driver for Xbox 360 controllers.

%prep
%setup -q -n %{oname}-%{cvsdate}
cat > dkms.conf <<EOF
PACKAGE_NAME=%{name}
PACKAGE_VERSION=%{cvsdate}.%{rel}
DEST_MODULE_LOCATION[0]="/kernel/drivers/usb/input"
BUILT_MODULE_LOCATION[0]="drivers/usb/input"
BUILT_MODULE_NAME[0]="%{module}"
AUTOINSTALL=yes
EOF
echo "obj-m += drivers/usb/input/" > Makefile
echo "obj-m += %{module}.o" > drivers/usb/input/Makefile

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/usr/src/%{oname}-%{cvsdate}.%{rel}/
tar c . | tar x -C %{buildroot}/usr/src/%{oname}-%{cvsdate}.%{rel}/

%clean
rm -rf %{buildroot}

%post
set -x
/usr/sbin/dkms --rpm_safe_upgrade add -m %{oname} -v %{cvsdate}.%{rel}
/usr/sbin/dkms --rpm_safe_upgrade build -m %{oname} -v %{cvsdate}.%{rel}
/usr/sbin/dkms --rpm_safe_upgrade install -m %{oname} -v %{cvsdate}.%{rel}
:

%preun
set -x
/usr/sbin/dkms --rpm_safe_upgrade remove -m %{oname} -v %{cvsdate}.%{rel} --all
:

%files
%defattr(-,root,root)
/usr/src/%{oname}-%{cvsdate}.%{rel}




%changelog
* Tue Oct 02 2007 Olivier Blin <oblin@mandriva.com> 0.1-0.20070320.2mdv2008.0
+ Revision: 94609
- add requires(preun/post) for dkms


* Tue Mar 20 2007 Olivier Blin <oblin@mandriva.com> 0.1-0.20070320.1mdv2007.1
+ Revision: 146828
- initial Mandriva release
- Create dkms-xpad-xbox360

